> ## Documentation Index
> Fetch the complete documentation index at: https://developers.paychoice.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a webhook

Updates an existing registration, for example to change the URL. `webhookId` is the `id` from [Register a webhook](https://developers.paychoice.com.au/api-reference/webhooks/register-a-webhook.md). Your `webhook_secret` is unchanged and is not returned.

```json 200 theme={null}
{
  "id": "0f6a1c2d-8e4b-4a7c-9d3e-5b2f1a6c8d90",
  "merchant_guid": "315564b9-b863-4016-8c53-02c9d8cc80b7",
  "webhook_url": "https://your-app.example.com/paychoice/webhook-v2",
  "created_date": "2026-11-04T02:30:00.000Z",
  "created_by": null,
  "updated_date": "2026-11-04T03:45:12.000Z",
  "updated_by": "merchant-user",
  "active": true
}
```

Returns `404` if the registration doesn't exist.


## OpenAPI

````yaml PATCH /api/v5/merchantwebhooks/{webhookId}
openapi: 3.0.1
info:
  title: Paychoice
  version: v5
servers: []
security:
  - basic: []
paths:
  /api/v5/merchantwebhooks/{webhookId}:
    patch:
      tags:
        - MerchantWebhook
      parameters:
        - name: webhookId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMerchantWebhookDto'
          text/json:
            schema:
              $ref: '#/components/schemas/UpdateMerchantWebhookDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpdateMerchantWebhookDto'
      responses:
        '200':
          description: OK
components:
  schemas:
    UpdateMerchantWebhookDto:
      type: object
      properties:
        webhook_url:
          type: string
          nullable: true
        active:
          type: boolean
          nullable: true
      additionalProperties: false
  securitySchemes:
    basic:
      type: http
      description: Basic Authorization header using the Bearer scheme.
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.